> For the complete documentation index, see [llms.txt](https://docs.data.ca.gov/california-open-data-publishers-handbook/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.data.ca.gov/california-open-data-publishers-handbook/reference/data-preparation-guidance.md).

# Data Preparation and Formatting Guidance

**Referenced from:**

{% content-ref url="/pages/VaD6zvvmyxmTY28qlwlG" %}
[2. Prepare Data for Publishing](/california-open-data-publishers-handbook/2.-prepare-data-for-publishing.md)
{% endcontent-ref %}

This section covers format and structure standards for datasets being shared with others. These standards are designed to make sure that field level information is shared as consistently as possible to minimize:

1. Errors
2. Rework
3. Repetitive questions

This reference covers:

1. [Column headers and order](/california-open-data-publishers-handbook/reference/data-preparation-guidance/column-headers-and-order.md)
2. [Date and time formats](/california-open-data-publishers-handbook/reference/data-preparation-guidance/date-and-time.md)
3. [Text formats](/california-open-data-publishers-handbook/reference/data-preparation-guidance/text.md)
4. [Numeric formats](/california-open-data-publishers-handbook/reference/data-preparation-guidance/numeric.md)
5. [Address formats](/california-open-data-publishers-handbook/reference/data-preparation-guidance/addresses.md)

{% hint style="info" %}
This section is adopted from [guidance published by DataSF](https://datasf.gitbook.io/draft-publishing-standards/data-structure-and-formats/formats) with many thanks to [Singapore's Open Data Program for providing a Data Quality Guide for Tabular Data](https://github.com/datagovsg/data-quality). The bulk of which made its way into this section with additions and modifications.&#x20;
{% endhint %}

{% hint style="success" %}
:mega: **Want to provide feedback on future data prep and data quality guides?**

[Fill out the form to indicate interest](https://airtable.com/shrvIiRHxyAAEsq41).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.data.ca.gov/california-open-data-publishers-handbook/reference/data-preparation-guidance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
